# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
org.apache.sling.scripting.sightly.impl.engine.extension.PrintWriterResponseWrapper
use `PrintWriterJakartaResponseWrapper` instead

Deprecated Methods
Method
Description
org.apache.sling.scripting.sightly.engine.ResourceResolution.getResourceForRequest(ResourceResolver, SlingHttpServletRequest)
use `getResourceForJakartaRequest(ResourceResolver, SlingJakartaHttpServletRequest)` instead
org.apache.sling.scripting.sightly.impl.utils.BindingsUtils.getRequest(Bindings)
use `BindingsUtils.getJakartaRequest(Bindings)` instead
org.apache.sling.scripting.sightly.impl.utils.BindingsUtils.getResponse(Bindings)
use `BindingsUtils.getJakartaResponse(Bindings)` instead